Bug 441659 - UnicodeEncodeError: 'ascii' codec can't encode character u'\xe4' in position 7: ordinal not in range(128)
UnicodeEncodeError: 'ascii' codec can't encode character u'\xe4' in position ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-09 07:47 EDT by Frank Aisenbrey
Modified: 2014-01-21 18:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-14 16:35:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix UnicodeEncodeError in yum-cli (2.87 KB, patch)
2008-04-09 10:02 EDT, HK Kim
no flags Details | Diff
fix UnicodeEncodeError in yum (1.32 KB, patch)
2008-04-09 10:05 EDT, HK Kim
no flags Details | Diff
Fix UnicodeEncodeError in yum-cli (3.83 KB, patch)
2008-04-09 11:32 EDT, HK Kim
no flags Details | Diff
fix UnicodeEncodeError in yum (1.35 KB, patch)
2008-04-09 11:35 EDT, HK Kim
no flags Details | Diff
Fix UnicodeEncodeError in yum-cli (3.86 KB, patch)
2008-04-09 11:49 EDT, HK Kim
no flags Details | Diff

  None (edit)
Description Frank Aisenbrey 2008-04-09 07:47:45 EDT
Description of problem:

[root@localhost ~]# yum update
Geladene Plugins: refresh-packagekit
rawhide                                                  | 2.4 kB     00:00    
primary.sqlite.bz2                                       | 6.1 MB     00:26     
adobe-linux-i386                                         |  951 B     00:00    
Einrichten des Aktualisierungsprozess
Löse Abhängigkeiten auf
--> Führe Transaktionsprüfung aus
---> Paket gnome-panel-libs.i386 0:2.22.1.1-1.fc9 gesetzt zum Sein aktualisiert
---> Paket totem-mozplugin.i386 0:2.23.1-1.fc9 gesetzt zum Sein aktualisiert
---> Paket evince-dvi.i386 0:2.22.1.1-1.fc9 gesetzt zum Sein aktualisiert
---> Paket gcalctool.i386 0:5.22.1-2.fc9 gesetzt zum Sein aktualisiert
---> Paket binutils.i386 0:2.18.50.0.6-2 gesetzt zum Sein aktualisiert
---> Paket pango.i386 0:1.20.1-1.fc9 gesetzt zum Sein aktualisiert
---> Paket audit-libs.i386 0:1.7.1-1.fc9 gesetzt zum Sein aktualisiert
---> Paket lohit-fonts-malayalam.noarch 0:2.2.0-1.fc9 gesetzt zum Sein aktualisiert
---> Paket pango-devel.i386 0:1.20.1-1.fc9 gesetzt zum Sein aktualisiert
---> Paket system-config-date.noarch 0:1.9.30-1.fc9 gesetzt zum Sein aktualisiert
---> Paket lohit-fonts-oriya.noarch 0:2.2.0-1.fc9 gesetzt zum Sein aktualisiert
---> Paket evince-djvu.i386 0:2.22.1.1-1.fc9 gesetzt zum Sein aktualisiert
---> Paket prelink.i386 0:0.4.0-3 gesetzt zum Sein aktualisiert
---> Paket totem-gstreamer.i386 0:2.23.1-1.fc9 gesetzt zum Sein aktualisiert
---> Paket authconfig.i386 0:5.4.2-1.fc9 gesetzt zum Sein aktualisiert
---> Paket gnome-games.i386 1:2.22.1.1-1.fc9 gesetzt zum Sein aktualisiert
---> Paket rhythmbox.i386 0:0.11.5-9.fc9 gesetzt zum Sein aktualisiert
---> Paket selinux-policy-targeted.noarch 0:3.3.1-31.fc9 gesetzt zum Sein
aktualisiert
---> Paket audit-libs-python.i386 0:1.7.1-1.fc9 gesetzt zum Sein aktualisiert
---> Paket gnome-panel.i386 0:2.22.1.1-1.fc9 gesetzt zum Sein aktualisiert
---> Paket lohit-fonts-punjabi.noarch 0:2.2.0-1.fc9 gesetzt zum Sein aktualisiert
---> Paket cairo.i386 0:1.5.20-1.fc9 gesetzt zum Sein aktualisiert
---> Paket pm-utils.i386 0:1.1.0-4.fc9 gesetzt zum Sein aktualisiert
---> Paket system-config-services.noarch 0:0.99.15-1.fc9 gesetzt zum Sein
aktualisiert
---> Paket passwd.i386 0:0.75-2.fc9 gesetzt zum Sein aktualisiert
---> Paket system-config-users.noarch 0:1.2.79-1.fc9 gesetzt zum Sein aktualisiert
---> Paket control-center.i386 1:2.22.1-2.fc9 gesetzt zum Sein aktualisiert
---> Paket control-center-filesystem.i386 1:2.22.1-2.fc9 gesetzt zum Sein
aktualisiert
---> Paket evince.i386 0:2.22.1.1-1.fc9 gesetzt zum Sein aktualisiert
---> Paket rsync.i386 0:3.0.2-0.fc9 gesetzt zum Sein aktualisiert
---> Paket lohit-fonts-tamil.noarch 0:2.2.0-1.fc9 gesetzt zum Sein aktualisiert
---> Paket lohit-fonts-kannada.noarch 0:2.2.0-1.fc9 gesetzt zum Sein aktualisiert
---> Paket lohit-fonts-hindi.noarch 0:2.2.0-1.fc9 gesetzt zum Sein aktualisiert
---> Paket selinux-policy.noarch 0:3.3.1-31.fc9 gesetzt zum Sein aktualisiert
---> Paket lohit-fonts-gujarati.noarch 0:2.2.0-1.fc9 gesetzt zum Sein aktualisiert
---> Paket totem-xine.i386 0:2.23.1-1.fc9 gesetzt zum Sein aktualisiert
---> Paket audit.i386 0:1.7.1-1.fc9 gesetzt zum Sein aktualisiert
---> Paket xorg-x11-drv-i810.i386 0:2.2.1-20.fc9 gesetzt zum Sein aktualisiert
---> Paket totem.i386 0:2.23.1-1.fc9 gesetzt zum Sein aktualisiert
---> Paket authconfig-gtk.i386 0:5.4.2-1.fc9 gesetzt zum Sein aktualisiert
---> Paket lohit-fonts-telugu.noarch 0:2.2.0-1.fc9 gesetzt zum Sein aktualisiert
---> Paket totem-pl-parser.i386 0:2.22.2-1.fc9 gesetzt zum Sein aktualisiert
---> Paket lohit-fonts-bengali.noarch 0:2.2.0-1.fc9 gesetzt zum Sein aktualisiert
---> Paket totem-nautilus.i386 0:2.23.1-1.fc9 gesetzt zum Sein aktualisiert
---> Paket cairo-devel.i386 0:1.5.20-1.fc9 gesetzt zum Sein aktualisiert
---> Paket hwbrowser.noarch 0:0.42-1.fc9 gesetzt zum Sein aktualisiert
--> Beende Abhängigkeitsauflösung

Abhängigkeiten aufgelöst

=============================================================================
 Paket                   Arch       Version          Repository        Grösse
=============================================================================
Aktualisieren:
 audit                   i386       1.7.1-1.fc9      rawhide           324 k
 audit-libs              i386       1.7.1-1.fc9      rawhide            73 k
 audit-libs-python       i386       1.7.1-1.fc9      rawhide            74 k
 authconfig              i386       5.4.2-1.fc9      rawhide           465 k
 authconfig-gtk          i386       5.4.2-1.fc9      rawhide            47 k
 binutils                i386       2.18.50.0.6-2    rawhide           3.0 M
 cairo                   i386       1.5.20-1.fc9     rawhide           542 k
 cairo-devel             i386       1.5.20-1.fc9     rawhide           160 k
 control-center          i386       1:2.22.1-2.fc9   rawhide           2.7 M
 control-center-filesystem  i386       1:2.22.1-2.fc9   rawhide            36 k
 evince                  i386       2.22.1.1-1.fc9   rawhide           1.2 M
 evince-djvu             i386       2.22.1.1-1.fc9   rawhide            26 k
 evince-dvi              i386       2.22.1.1-1.fc9   rawhide            76 k
 gcalctool               i386       5.22.1-2.fc9     rawhide           1.4 M
 gnome-games             i386       1:2.22.1.1-1.fc9  rawhide            19 M
 gnome-panel             i386       2.22.1.1-1.fc9   rawhide           3.7 M
 gnome-panel-libs        i386       2.22.1.1-1.fc9   rawhide            55 k
 hwbrowser               noarch     0.42-1.fc9       rawhide           107 k
 lohit-fonts-bengali     noarch     2.2.0-1.fc9      rawhide            78 k
 lohit-fonts-gujarati    noarch     2.2.0-1.fc9      rawhide            46 k
 lohit-fonts-hindi       noarch     2.2.0-1.fc9      rawhide            49 k
 lohit-fonts-kannada     noarch     2.2.0-1.fc9      rawhide            56 k
 lohit-fonts-malayalam   noarch     2.2.0-1.fc9      rawhide            41 k
 lohit-fonts-oriya       noarch     2.2.0-1.fc9      rawhide            58 k
 lohit-fonts-punjabi     noarch     2.2.0-1.fc9      rawhide            23 k
 lohit-fonts-tamil       noarch     2.2.0-1.fc9      rawhide            37 k
 lohit-fonts-telugu      noarch     2.2.0-1.fc9      rawhide            62 k
 pango                   i386       1.20.1-1.fc9     rawhide           362 k
 pango-devel             i386       1.20.1-1.fc9     rawhide           320 k
 passwd                  i386       0.75-2.fc9       rawhide            82 k
 pm-utils                i386       1.1.0-4.fc9      rawhide            78 k
 prelink                 i386       0.4.0-3          rawhide           1.0 M
 rhythmbox               i386       0.11.5-9.fc9     rawhide           5.5 M
 rsync                   i386       3.0.2-0.fc9      rawhide           334 k
 selinux-policy          noarch     3.3.1-31.fc9     rawhide           433 k
 selinux-policy-targeted  noarch     3.3.1-31.fc9     rawhide           1.7 M
 system-config-date      noarch     1.9.30-1.fc9     rawhide           1.3 M
 system-config-services  noarch     0.99.15-1.fc9    rawhide           255 k
 system-config-users     noarch     1.2.79-1.fc9     rawhide           585 k
 totem                   i386       2.23.1-1.fc9     rawhide           2.4 M
 totem-gstreamer         i386       2.23.1-1.fc9     rawhide            67 k
 totem-mozplugin         i386       2.23.1-1.fc9     rawhide           270 k
 totem-nautilus          i386       2.23.1-1.fc9     rawhide            34 k
 totem-pl-parser         i386       2.22.2-1.fc9     rawhide           745 k
 totem-xine              i386       2.23.1-1.fc9     rawhide            51 k
 xorg-x11-drv-i810       i386       2.2.1-20.fc9     rawhide           383 k

Transaktionszusammenfassung
=============================================================================
Installieren        0 Pakete(e)         
Aktualisieren      46 Pakete(e)         
Enfernen          0 Paket(e)         

Gesamte Downloadgrösse: 49 M
Ist dies richtig? [j/N] :j         
Lade Pakete herunter:
(1/46): authconfig-5.4.2-1.fc9.i386.rpm                  | 465 kB     00:01     
(2/46): gcalctool-5.22.1-2.fc9.i386.rpm                  | 1.4 MB     00:06     
(3/46): lohit-fonts-gujarati-2.2.0-1.fc9.noarch.rpm      |  46 kB     00:00    
(4/46): cairo-1.5.20-1.fc9.i386.rpm                      | 542 kB     00:02     
(5/46): evince-djvu-2.22.1.1-1.fc9.i386.rpm              |  26 kB     00:00    
(6/46): audit-libs-python-1.7.1-1.fc9.i386.rpm           |  74 kB     00:00     
(7/46): evince-2.22.1.1-1.fc9.i386.rpm                   | 1.2 MB     00:05     
(8/46): authconfig-gtk-5.4.2-1.fc9.i386.rpm              |  47 kB     00:00    
(9/46): gnome-panel-libs-2.22.1.1-1.fc9.i386.rpm         |  55 kB     00:00    
(10/46): cairo-devel-1.5.20-1.fc9.i386.rpm               | 160 kB     00:00     
(11/46): prelink-0.4.0-3.i386.rpm                        | 1.0 MB     00:04     
(12/46): totem-pl-parser-2.22.2-1.fc9.i386.rpm           | 745 kB     00:03     
(13/46): selinux-policy-3.3.1-31.fc9.noarch.rpm          | 433 kB     00:01     
(14/46): lohit-fonts-kannada-2.2.0-1.fc9.noarch.rpm      |  56 kB     00:00    
(15/46): lohit-fonts-malayalam-2.2.0-1.fc9.noarch.rpm    |  41 kB     00:00    
(16/46): rsync-3.0.2-0.fc9.i386.rpm                      | 334 kB     00:01     
(17/46): control-center-2.22.1-2.fc9.i386.rpm            | 2.7 MB     00:12     
(18/46): control-center-filesystem-2.22.1-2.fc9.i386.rpm |  36 kB     00:00    
(19/46): lohit-fonts-bengali-2.2.0-1.fc9.noarch.rpm      |  78 kB     00:00     
(20/46): xorg-x11-drv-i810-2.2.1-20.fc9.i386.rpm         | 383 kB     00:01     
(21/46): totem-mozplugin-2.23.1-1.fc9.i386.rpm           | 270 kB     00:01     
(22/46): rhythmbox-0.11.5-9.fc9.i386.rpm                 | 5.5 MB     00:23     
(23/46): system-config-services-0.99.15-1.fc9.noarch.rpm | 255 kB     00:01     
(24/46): lohit-fonts-hindi-2.2.0-1.fc9.noarch.rpm        |  49 kB     00:00     
(25/46): lohit-fonts-telugu-2.2.0-1.fc9.noarch.rpm       |  62 kB     00:00    
(26/46): binutils-2.18.50.0.6-2.i386.rpm                 | 3.0 MB     00:13     
(27/46): pm-utils-1.1.0-4.fc9.i386.rpm                   |  78 kB     00:00     
(28/46): lohit-fonts-tamil-2.2.0-1.fc9.noarch.rpm        |  37 kB     00:00    
(29/46): totem-gstreamer-2.23.1-1.fc9.i386.rpm           |  67 kB     00:00    
(30/46): selinux-policy-targeted-3.3.1-31.fc9.noarch.rpm | 1.7 MB     00:07     
(31/46): hwbrowser-0.42-1.fc9.noarch.rpm                 | 107 kB     00:00     
(32/46): system-config-users-1.2.79-1.fc9.noarch.rpm     | 585 kB     00:02     
(33/46): totem-2.23.1-1.fc9.i386.rpm                     | 2.4 MB     00:10     
(34/46): pango-devel-1.20.1-1.fc9.i386.rpm               | 320 kB     00:01     
(35/46): gnome-panel-2.22.1.1-1.fc9.i386.rpm             | 3.7 MB     00:16     
(36/46): totem-nautilus-2.23.1-1.fc9.i386.rpm            |  34 kB     00:00    
(37/46): pango-1.20.1-1.fc9.i386.rpm                     | 362 kB     00:01     
(38/46): gnome-games-2.22.1.1-1.fc9.i386.rpm             |  19 MB     01:23     
(39/46): audit-1.7.1-1.fc9.i386.rpm                      | 324 kB     00:01     
(40/46): system-config-date-1.9.30-1.fc9.noarch.rpm      | 1.3 MB     00:06     
(41/46): totem-xine-2.23.1-1.fc9.i386.rpm                |  51 kB     00:00     
(42/46): evince-dvi-2.22.1.1-1.fc9.i386.rpm              |  76 kB     00:00     
(43/46): lohit-fonts-oriya-2.2.0-1.fc9.noarch.rpm        |  58 kB     00:00     
(44/46): lohit-fonts-punjabi-2.2.0-1.fc9.noarch.rpm      |  23 kB     00:00    
(45/46): audit-libs-1.7.1-1.fc9.i386.rpm                 |  73 kB     00:00     
(46/46): passwd-0.75-2.fc9.i386.rpm                      |  82 kB     00:01     
Führe rpm_check_debug durch
Führe Transaktionsstest durch
Transaktionstest beendet
Transkaktionstest erfolgreich
Führe Verarbeitung durch
  Aktualisie: cairo                        ####################### [ 1/92] 
  Aktualisie: pango                        ####################### [ 2/92] 
  Aktualisie: totem-pl-parser              ####################### [ 3/92] 
  Aktualisie: audit-libs                   ####################### [ 4/92] 
  Aktualisie: cairo-devel                  ####################### [ 5/92] 
  Aktualisie: selinux-policy               ####################### [ 6/92] 
  Aktualisie: control-center-filesystem    ####################### [ 7/92] 
  Aktualisie: selinux-policy-targeted      ####################### [ 8/92] 
  Aktualisie: lohit-fonts-gujarati         ####################### [ 9/92] 
  Aktualisie: lohit-fonts-kannada          ####################### [10/92] 
  Aktualisie: lohit-fonts-malayalam        ####################### [11/92] 
  Aktualisie: lohit-fonts-bengali          ####################### [12/92] 
  Aktualisie: system-config-services       ####################### [13/92] 
  Aktualisie: lohit-fonts-hindi            ####################### [14/92] 
  Aktualisie: lohit-fonts-telugu           ####################### [15/92] 
  Aktualisie: lohit-fonts-tamil            ####################### [16/92] 
  Aktualisie: hwbrowser                    ####################### [17/92] 
  Aktualisie: system-config-users          ####################### [18/92] 
  Aktualisie: system-config-date           ####################### [19/92] 
  Aktualisie: lohit-fonts-oriya            ####################### [20/92] 
  Aktualisie: lohit-fonts-punjabi          ####################### [21/92] 
  Aktualisie: gnome-panel-libs             ####################### [22/92] 
  Aktualisie: evince                       ####################### [23/92] 
  Aktualisie: control-center               ####################### [24/92] 
  Aktualisie: rhythmbox                    ####################### [25/92] 
  Aktualisie: authconfig                   ####################### [26/92] 
  Aktualisie: xorg-x11-drv-i810            ####################### [27/92] 
  Aktualisie: evince-dvi                   ####################### [28/92] 
  Aktualisie: evince-djvu                  ####################### [29/92] 
  Aktualisie: gnome-panel                  ####################### [30/92] 
  Aktualisie: pango-devel                  ####################### [31/92] 
  Aktualisie: passwd                       ####################### [32/92] 
  Aktualisie: audit                        ####################### [33/92] 
  Aktualisie: audit-libs-python            ####################### [34/92] 
  Aktualisie: gnome-games                  ####################### [35/92] 
  Aktualisie: gcalctool                    ####################### [36/92] 
  Aktualisie: prelink                      ####################### [37/92] 
  Aktualisie: rsync                        ####################### [38/92] 
  Aktualisie: binutils                     ####################### [39/92] 
  Aktualisie: pm-utils                     ####################### [40/92] 
  Aktualisie: authconfig-gtk               ####################### [41/92] 
  Aktualisie: totem-gstreamer              ####################### [42/92] 
  Aktualisie: totem                        ####################### [43/92] 
  Aktualisie: totem-xine                   ####################### [44/92] 
  Aktualisie: totem-nautilus               ####################### [45/92] 
  Aktualisie: totem-mozplugin              ####################### [46/92] 
Traceback (most recent call last):                     
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 236, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 188, in main
    base.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 430, in doTransaction
    self.runTransaction(cb=cb)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 764, in
runTransaction
    errors = self.ts.run(cb.callback, '')
  File "/usr/lib/python2.5/site-packages/yum/rpmtrans.py", line 323, in callback
    self._unInstStop( bytes, total, h )
  File "/usr/lib/python2.5/site-packages/yum/rpmtrans.py", line 415, in _unInstStop
    self.total_actions)
  File "/usr/share/yum-cli/output.py", line 750, in event
    sys.stdout.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character u'\xe4' in position 7:
ordinal not in range(128)
[root@localhost ~]# 



Version-Release number of selected component (if applicable):

yum-3.2.14-2.fc9.noarch

How reproducible:
not reproducable on a second try. It crashed while updating the packages.


Expected results:
working update
Comment 1 HK Kim 2008-04-09 10:02:24 EDT
Created attachment 301808 [details]
Fix UnicodeEncodeError in yum-cli
Comment 2 HK Kim 2008-04-09 10:05:51 EDT
Created attachment 301809 [details]
fix UnicodeEncodeError in yum

This happened when yum included a package like the 'curry'(contained ü in
Summary or Description). My workarounds are in above attachments.
Comment 3 HK Kim 2008-04-09 10:53:00 EDT
It seems that your case is different. My workarounds do not fix against the
package name itself contained "ä" or etc..
Comment 4 HK Kim 2008-04-09 11:32:18 EDT
Created attachment 301832 [details]
Fix UnicodeEncodeError in yum-cli
Comment 5 HK Kim 2008-04-09 11:35:46 EDT
Created attachment 301834 [details]
fix UnicodeEncodeError in yum

My test shows that above ones handle package names also.
Comment 6 HK Kim 2008-04-09 11:49:49 EDT
Created attachment 301835 [details]
Fix UnicodeEncodeError in yum-cli

Fix additional an easy case :).
Comment 7 Seth Vidal 2008-04-09 13:55:36 EDT
Hi,
 A new yum hit koji that MIGHT have a much lower level fix than the one you've
applied.

could you grab this yum

http://koji.fedoraproject.org/koji/buildinfo?buildID=45710

and see if it fixes the problem you've been seeing?

thanks
Comment 8 Frank Aisenbrey 2008-04-10 08:04:53 EDT
Problem still exists

[root@localhost ~]# yum erase msttcorefonts-2.0-1.noarch
Geladene Plugins: allowdowngrade, refresh-packagekit
Einrichten des Entfernenprozess
Löse Abhängigkeiten auf
--> Führe Transaktionsprüfung aus
---> Paket msttcorefonts.noarch 0:2.0-1 gesetzt zum Sein gelöscht
--> Beende Abhängigkeitsauflösung

Abhängigkeiten aufgelöst

=============================================================================
 Paket                   Arch       Version          Repository        Grösse
=============================================================================
Entfernen:
 msttcorefonts           noarch     2.0-1            installed         5.5 M

Transaktionszusammenfassung
=============================================================================
Installieren        0 Pakete(e)         
Aktualisieren       0 Pakete(e)         
Enfernen          1 Paket(e)         

Ist dies richtig? [j/N] :j
Lade Pakete herunter:
Führe rpm_check_debug durch
Führe Transaktionsstest durch
Transaktionstest beendet
Transkaktionstest erfolgreich
Führe Verarbeitung durch
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 236, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 188, in main
    base.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 430, in doTransaction
    self.runTransaction(cb=cb)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 764, in
runTransaction
    errors = self.ts.run(cb.callback, '')
  File "/usr/lib/python2.5/site-packages/yum/rpmtrans.py", line 323, in callback
    self._unInstStop( bytes, total, h )
  File "/usr/lib/python2.5/site-packages/yum/rpmtrans.py", line 415, in _unInstStop
    self.total_actions)
  File "/usr/share/yum-cli/output.py", line 750, in event
    sys.stdout.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character u'\xf6' in position 4:
ordinal not in range(128)
[root@localhost ~]# 
Comment 9 Seth Vidal 2008-04-10 14:26:38 EDT
please test
http://koji.fedoraproject.org/packages/yum/3.2.14/4.fc9/noarch/yum-3.2.14-4.fc9.noarch.rpm

and let us know if it fixes it.
Comment 10 James Antill 2008-04-10 18:16:37 EDT
 Scratch that, go straight to:

http://koji.fedoraproject.org/packages/yum/3.2.14/5.fc9/noarch/yum-3.2.14-5.fc9.noarch.rpm
Comment 11 Frank Aisenbrey 2008-04-11 02:51:26 EDT
...

[root@localhost ~]# yum erase msttcorefonts-2.0-1.noarch
Geladene Plugins: allowdowngrade, refresh-packagekit
Einrichten des Entfernungsprozess
Löse Abhängigkeiten auf
--> Führe Transaktionsprüfung aus
---> Paket msttcorefonts.noarch 0:2.0-1 gesetzt um gelöscht zu werden
--> Abhängigkeitsauflösung beendet

Abhängigkeiten aufgelöst

=============================================================================
 Paket                   Arch       Version          Repository        Größe
=============================================================================
Entfernen:
 msttcorefonts           noarch     2.0-1            installed         5.5 M

Transaktionszusammenfassung
=============================================================================
Installieren        0 Pakete(e)         
Aktualisieren       0 Pakete(e)         
Enfernen          1 Paket(e)         

Ist dies richtig? [j/N] :j
Lade Pakete herunter:
Führe rpm_check_debug durch
Führe Verarbeitungsstest durch
Verarbeitungstest beendet
Transaktionstest erfolgreich
Führe Verarbeitung durch
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 236, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 188, in main
    base.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 430, in doTransaction
    self.runTransaction(cb=cb)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 772, in
runTransaction
    errors = self.ts.run(cb.callback, '')
  File "/usr/lib/python2.5/site-packages/yum/rpmtrans.py", line 323, in callback
    self._unInstStop( bytes, total, h )
  File "/usr/lib/python2.5/site-packages/yum/rpmtrans.py", line 415, in _unInstStop
    self.total_actions)
  File "/usr/share/yum-cli/output.py", line 750, in event
    sys.stdout.write(msg)
UnicodeEncodeError: 'ascii' codec can't encode character u'\xf6' in position 4:
ordinal not in range(128)
[root@localhost ~]# 
Comment 12 James Antill 2008-04-11 19:41:36 EDT
 Ok, we're pretty sure this one will fix it and if not there's a config. option
to turn the i18n stuff off now:

http://koji.fedoraproject.org/packages/yum/3.2.14/6.fc9/noarch/yum-3.2.14-6.fc9.noarch.rpm
Comment 13 Frank Aisenbrey 2008-04-12 11:18:53 EDT
You're right, this one works without twiddling any options.
Get it into the Fedora 9 release, please.
Thank You.
Comment 14 Seth Vidal 2008-04-14 16:35:01 EDT
it's fixed in rawhide and upstream and I'll be requesting an exception for the
freeze for this.

Note You need to log in before you can comment on or make changes to this bug.